<div class="weather-main"
     [class.direction-column]="vertical">
  <div class="temp"
       [ngClass]="{
          's': size === 'S',
          'm': size === 'M',
          'l': size === 'L'}">
    {{weather.temp | temp: 'C'}}</div>
  <i [ngClass]="getIconStyles()"></i>
</div>